> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Change the additional data assignments of an existing location > The user must have access to the specified location. `Write` permission of the specified location is required. Existing additional data contained in the request is updated with the new values. New additional data is supplemented with the new values from the change request. ## OpenAPI ````json PUT /v{version}/Locations/{id}/AdditionalData { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Locations/{id}/AdditionalData": { "put": { "tags": [ "Locations" ], "summary": "Change the additional data assignments of an existing location", "description": "The user must have access to the specified location.\r\n`Write` permission of the specified location is required.\r\nExisting additional data contained in the request is updated with the new values.\r\nNew additional data is supplemented with the new values from the change request.", "operationId": "Locations_UpdateAdditionalData", "parameters": [ { "name": "id", "in": "path", "description": "Unique ID of the location", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Change request that contains IDs and values of the new additional data assignments", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.Location.AdditionalDataEdit" } } } } }, "responses": { "200": { "description": "Returns the updated list of additional data.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.Location.AdditionalData" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Forbidden if user doesn't have required permissions.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Not found if location doesn't exist.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Location.AdditionalDataEdit": { "required": [ "Id" ], "type": "object", "properties": { "Id": { "type": "integer", "description": "Unique ID of the additional data", "format": "int32" }, "Value": { "type": "string", "description": "Value of the additional data" } }, "description": "Model for editing additional data" }, "V1.Models.Location.AdditionalData": { "type": "object", "properties": { "Id": { "type": "integer", "description": "Unique ID of the additional data", "format": "int32", "readOnly": true }, "Inherited": { "type": "boolean", "description": "If `true`, this category is inherited from the parent.\r\nDefault: `false`.", "readOnly": true }, "Label": { "type": "string", "description": "Label of the additional data", "readOnly": true }, "Value": { "type": "string", "description": "Value of the additional data" } }, "description": "Location's additional data" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````